Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PageBlockVideo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PageBlock
it.tdlight.jni.TdApi.PageBlockVideo

Enclosing class:
  TdApi

public static final class TdApi.PageBlockVideo extends TdApi.PageBlock
A video.

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.PageBlockCaption`
`caption`
Video caption.
`static final int`
`CONSTRUCTOR`
`boolean`
`isLooped`
True, if the video must be looped.
`boolean`
`needAutoplay`
True, if the video must be played automatically.
`TdApi.Video`
`video`
Video file; may be null.

## Constructor Summary

Constructors
Constructor
Description
`PageBlockVideo()`
A video.
`PageBlockVideo(TdApi.Video video, TdApi.PageBlockCaption caption, boolean needAutoplay, boolean isLooped)`
A video.
`PageBlockVideo(DataInput input)`
A video.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### video

public TdApi.Video video
Video file; may be null.

### caption

public TdApi.PageBlockCaption caption
Video caption.

### needAutoplay

public boolean needAutoplay
True, if the video must be played automatically.

### isLooped

public boolean isLooped
True, if the video must be looped.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### PageBlockVideo

public PageBlockVideo()
A video.

### PageBlockVideo

public PageBlockVideo(TdApi.Video video, TdApi.PageBlockCaption caption, boolean needAutoplay, boolean isLooped)
A video.

Parameters:
  `video` - Video Video file; may be null.
  `caption` - PageBlockCaption Video caption.
  `needAutoplay` - boolean True, if the video must be played automatically.
  `isLooped` - boolean True, if the video must be looped.

### PageBlockVideo

public PageBlockVideo(DataInput input) throws IOException
A video.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`